import { Api } from "../api/Api";
import { Protocol } from "../protocol/Protocol";
import { SteemOperationNumber } from "../blockchain/SteemOperationNumber";
import { SynchronizerCallbacks } from "./SynchronizerCallbacks";
export declare class UniversalSynchronizer {
    private static WAIT_ON_ERROR_MS;
    private protocol;
    private api;
    private callbacks;
    private isRunning_;
    private lastProcessedOperationNum;
    constructor(api: Api, protocol: Protocol, callbacks: SynchronizerCallbacks.CallbackParam);
    start(since: SteemOperationNumber): Promise<void>;
    stop(): void;
    isRunning(): boolean;
    getLastProcessedOperation(): SteemOperationNumber;
    private processBlock;
    private processOperation;
    private safeCall;
}
